<?php
require_once(SYSTEM_LOGICS . 'login_history/logic.php');

class ControlLoginHistory extends LogicLoginHistory {

	/*-------------------------------------------------------------------------
	* @ メンバ変数
	-------------------------------------------------------------------------*/

	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {
		try {			
		    $this -> checkAvailability("system", function(){
		        require_once($this -> getSystemHTML('TEMPLATE_MAINTENANCE_MODE_SYSTEM_PATH'));
		        exit();
		    });
			// アクション実行
			$this -> logic();
			
			$exportflag = $this -> getDataPost("toExportFlag");

			if($exportflag != NO_STRING){	
				header('Content-Type: application/octet-stream');
				header('Content-Disposition: attachment; filename=Login_History_' . date('YmdHis') . '.csv');
				header('Content-Transfer-Encoding: binary');
				echo "\xEF\xBB\xBF";
				echo $this -> getExportDataCommon();
			}else 
				require_once($this -> getSystemHTML('tmp_login_history.php', $this -> dispHTML()));

		} catch (Exception $e) {
			header('Location: /');
		}
	}
}
?>